Subject: Re: After Cygwin and XEmacs upgrade, read-only files aren't detected
From: Mark Harig <[email-masked]>
To: "David M. Karr" <[email-masked]>
Cc: [email-masked]
Date: 03 Nov 2002 00:41:44 -0500

With the most recent version of Cygwin, 1.3.14, CYGWIN has been set to 
'ntsec' by default.  Unfortunately, this doesn't show up in the output 
of 'cygcheck -s -r -v'.  

You might want to consider running the Microsoft 'convert' utility on 
your disk to convert your filesystem from FAT32 to NTFS. 

On Sat, 2002-11-02 at 23:16, David M. Karr wrote:
> >>>>> "David" == David M Karr <[email-masked]> writes:
> 
>     David> Last night I upgraded my Cygwin and Cygwin/XEmacs installations to the latest.
>     David> Today, I noticed that XEmacs can no longer notice that read-only files are
>     David> read-only.  Normally, it detects that, and sets the buffer to be read-only.
> 
>     David> I did report this to the XEmacs group, but they're not aware of any recent
>     David> changes that could be related to this.
> 
>     David> Is there some recent Cygwin feature change that could be causing this?
> 
> I discovered that if I change my CYGWIN variable from "tty" to "tty nontsec"
> this now behaves as I would expect, showing a read-only buffer for a read-only
> file.
> 
> Before discovering this, I also noticed that if a file only had the "read" bits
> on, then XEmacs would see it was read-only.  However, if the file had both the
> read AND execute bits on (still not having any write bits), then XEmacs would
> think it was writable.
> 
> Testing the same situation with "vi" showed a read-only buffer, both before and
> after changing the CYGWIN variable.
> 
> -- 
> ===================================================================
> David M. Karr          ; Java/J2EE/XML/Unix/C++
> [email-masked]
> 
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
> 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/